{"openapi":"3.0.4","info":{"title":"Updates an existing network zone","description":"Updates an existing network zone","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/identity"}],"paths":{"/api/networkzones/{code}":{"put":{"tags":["Network Zones"],"summary":"Updates an existing network zone","description":"Updates an existing network zone","operationId":"UpdateNetworkZone","parameters":[{"name":"code","in":"path","description":"The unique identifier of the network zone","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"requestBody":{"description":"The updated definition of the network zone","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/UpdateNetworkZoneRequest"},"example":{"description":"Network Zone definition allowing access to request from the specified Addresses for users in the selected groups OR with specific kinds of session types","networkZoneIPs":[{"type":"CIDR","description":"UK Office","value":"77.77.77.0/24"},{"type":"IP","description":"Corporate VPN","value":"212.10.12.14"}],"action":"Allow","applyRules":{"sessionType":["AllUsers","AllServiceUsers","AllPersonalUsers","AllPATAccess","AllJWTAccess","AllAccessTokens","AllSSOUsers","AllNonSSOUsers"],"userRoles":["A-User-Defined-Role","Lusid-administrators"]},"hierarchy":0}},"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/UpdateNetworkZoneRequest"},"example":{"description":"Network Zone definition allowing access to request from the specified Addresses for users in the selected groups OR with specific kinds of session types","networkZoneIPs":[{"type":"CIDR","description":"UK Office","value":"77.77.77.0/24"},{"type":"IP","description":"Corporate VPN","value":"212.10.12.14"}],"action":"Allow","applyRules":{"sessionType":["AllUsers","AllServiceUsers","AllPersonalUsers","AllPATAccess","AllJWTAccess","AllAccessTokens","AllSSOUsers","AllNonSSOUsers"],"userRoles":["A-User-Defined-Role","Lusid-administrators"]},"hierarchy":0}},"text/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/UpdateNetworkZoneRequest"},"example":{"description":"Network Zone definition allowing access to request from the specified Addresses for users in the selected groups OR with specific kinds of session types","networkZoneIPs":[{"type":"CIDR","description":"UK Office","value":"77.77.77.0/24"},{"type":"IP","description":"Corporate VPN","value":"212.10.12.14"}],"action":"Allow","applyRules":{"sessionType":["AllUsers","AllServiceUsers","AllPersonalUsers","AllPATAccess","AllJWTAccess","AllAccessTokens","AllSSOUsers","AllNonSSOUsers"],"userRoles":["A-User-Defined-Role","Lusid-administrators"]},"hierarchy":0}},"application/*+json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/UpdateNetworkZoneRequest"},"example":{"description":"Network Zone definition allowing access to request from the specified Addresses for users in the selected groups OR with specific kinds of session types","networkZoneIPs":[{"type":"CIDR","description":"UK Office","value":"77.77.77.0/24"},{"type":"IP","description":"Corporate VPN","value":"212.10.12.14"}],"action":"Allow","applyRules":{"sessionType":["AllUsers","AllServiceUsers","AllPersonalUsers","AllPATAccess","AllJWTAccess","AllAccessTokens","AllSSOUsers","AllNonSSOUsers"],"userRoles":["A-User-Defined-Role","Lusid-administrators"]},"hierarchy":0}}},"required":true},"responses":{"200":{"description":"Update Network Zone","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/NetworkZoneDefinitionResponse"},"example":{"code":"UK-Office-Network","hierarchy":0,"description":"Network Zone definition allowing access to request from the specified Addresses for users in the selected groups OR with specific kinds of session types","createdAt":"0001-01-01T00:00:00.0000000+00:00","updatedAt":"0001-01-01T00:00:00.0000000+00:00","networkZoneIPs":[{"type":"CIDR","description":"UK Office","value":"77.77.77.0/24"},{"type":"IP","description":"Corporate VPN","value":"212.10.12.14"}],"action":"Allow","applyRules":{"sessionType":["AllUsers","AllServiceUsers","AllPersonalUsers","AllPATAccess","AllJWTAccess","AllAccessTokens","AllSSOUsers","AllNonSSOUsers"],"userRoles":["A-User-Defined-Role","Lusid-administrators"]},"createdBy":"UserId","updatedBy":"UserId"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}